Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class QueryMethodTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.QueryMethodTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, QueryMethodType<T>

    public class QueryMethodTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, QueryMethodType<T>

This class implements the `query-methodType` xsd type

Original Documentation:

The query-method specifies the method for a finder or select
query.
The method-name element specifies the name of a finder or select
method in the entity bean's implementation class.
Each method-param must be defined for a query-method using the
method-params element.
It is used by the query-method element.
Example:
Method finds large orders
findLargeOrders
SELECT OBJECT(o) FROM Order o
WHERE o.amount > 1000

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`QueryMethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`QueryMethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getMethodName()` Returns the `method-name` element
`MethodParamsType<QueryMethodType<T>>` | `methodParams()` If not already created, a new `method-params` element will be created and returned.
`QueryMethodType<T>` | `removeMethodName()` Removes the `method-name` element
`QueryMethodType<T>` | `removeMethodParams()` Removes the `method-params` element
`QueryMethodType<T>` | `setMethodName(java.lang.String methodName)` If not already created, a new `method-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryMethodTypeImpl

    public QueryMethodTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### QueryMethodTypeImpl

    public QueryMethodTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setMethodName

    public QueryMethodType<T> setMethodName(java.lang.String methodName)

  If not already created, a new `method-name` element with the given value will be created. Otherwise, the existing `method-name` element will be updated with the given value.

  Specified by:
    `setMethodName` in interface `QueryMethodType<T>`
  Returns:
    the current instance of `QueryMethodType`

### removeMethodName

    public QueryMethodType<T> removeMethodName()

  Removes the `method-name` element

  Specified by:
    `removeMethodName` in interface `QueryMethodType<T>`
  Returns:
    the current instance of `QueryMethodType`

### getMethodName

    public java.lang.String getMethodName()

  Returns the `method-name` element

  Specified by:
    `getMethodName` in interface `QueryMethodType<T>`
  Returns:
    the node defined for the element `method-name`

### removeMethodParams

    public QueryMethodType<T> removeMethodParams()

  Removes the `method-params` element

  Specified by:
    `removeMethodParams` in interface `QueryMethodType<T>`
  Returns:
    the current instance of `QueryMethodType`

### methodParams

    public MethodParamsType<QueryMethodType<T>> methodParams()

  If not already created, a new `method-params` element will be created and returned. Otherwise, the existing `method-params` element will be returned.

  Specified by:
    `methodParams` in interface `QueryMethodType<T>`
  Returns:
    the node defined for the element `method-params`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD